Subject: Help with ID please

From: [email-masked] (Marc T Alter)
Date: 25 Aug 1994 02:03:19 GMT

Last week while visiting a local shopping mall I found an unusual looking 
clumps of fungus, growing up in mulch around trees.  It looked a lot like 
hericium but not as delicate in appearance as I remember it.  It was somewhat 
brown on the surface but whitish underneath. Looked a little like a cross 
between coral and cauliflower.  Any ideas what this might be?  Could it be 
hericium (sorry if I'm spelling that wrong).  All of my mushroom books are 
boxed up at the moment.

Thanks,

Marc